<Project Sdk="Microsoft.NET.Sdk">

   <Import Project="$(SolutionDir)Program.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <OutputType>Library</OutputType>
      <AssemblyName>Raytheon.Instruments.PowerSupplies.Keysight67XX</AssemblyName>
      <RootNamespace>Raytheon.Instruments</RootNamespace>
      <Product>Keysight 67XX Series Power Supply</Product>
      <Description>Keysight 67XX Series Power Supply</Description>
      <GeneratePackageOnBuild>true</GeneratePackageOnBuild>
      <AllowedOutputExtensionsInPackageBuildOutputFolder>$(AllowedOutputExtensionsInPackageBuildOutputFolder);.pdb</AllowedOutputExtensionsInPackageBuildOutputFolder>
      <Company>Raytheon Technologies</Company>
      <Authors>TEEC</Authors>
      <Copyright>Copyright © Raytheon Technologies $(Year)</Copyright>

      <!-- Dynamic Versioning (Suitable for Release) -->
      <!-- <Version>$(Version)$(Suffix)</Version> -->

      <!-- Static Versioning (Suitable for Development) -->
      <Version>1.0.0</Version>
      
   </PropertyGroup>

   <ItemGroup>

      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Raytheon.Configuration" Version="2.6.1" />
      <PackageReference Include="Raytheon.Configuration.Contracts" Version="2.3.0" />

      <!--
      <PackageReference Include="Raytheon.Instruments.PowerSupply.Contracts" Version="1.1.0" />
      <PackageReference Include="Raytheon.Instruments.PowerSupplies.Simulation" Version="1.0.0" />
      -->
   </ItemGroup>

   <ItemGroup>
     <ProjectReference Include="..\..\..\Interfaces\PowerSupply\PowerSupply.Contracts.csproj" />
     <ProjectReference Include="..\..\EthernetSockets\CommDeviceTcpClient\TcpClient.csproj" />
     <ProjectReference Include="..\PowerSupplySim\PowerSupplySim.csproj" />
   </ItemGroup>

</Project>
